-- usage : executing file will create procedure DropDatabase in SQLing database
-- example application : exec DropDatabase '#pubs_psu'
-- drops downsized database from outside of SQLing
USE SQLing
GO
IF EXISTS (SELECT * FROM sysobjects WHERE name='DropDatabase')
DROP PROCEDURE DropDatabase
GO
create procedure DropDatabase(@db sysname)
as
   declare @db1 sysname, @name sysname
   select @db1=substring(@db, 2, 32)
   declare cr cursor for select name from sysobjects where type='U' and name like 'sys%'
   open cr
   fetch next from cr into @name
   while @@fetch_status=0 begin
   	if right(@name, datalength(@db1))=ltrim(rtrim(@db1))
   		exec ('DROP TABLE '+@name)
      fetch next from cr into @name
   end
   close cr
   deallocate cr
   delete workdb where name=@db1
   delete conspects where db=@db
   delete notes where db=@db
   delete keysadd where db=@db
   delete rel where db=@db
   delete rel_view where db=@db
